(function (window) {
    const getQueryString = function (name) {
        let reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
        let r = window.location.search.substr(1).match(reg);
        if (r != null) return unescape(r[2]);
        return null;
    }
    const unique_id = getQueryString("butterFrameId");

    window.addEventListener("message", (event) => {
        if (event.data && event.data.type && event.data.type.startsWith("butter_to_sub_")) {
            const finalType = event.data.type.split("butter_to_sub_")[1];
            console.log(`---- ${finalType}`, event.data);
            alert(`回调返回:${finalType},结果:${JSON.stringify(event.data)}`);
        }
    }, false);


    const allItem = document.querySelectorAll('.item');

    for (let i = 0; i < allItem.length; i++) {
        allItem[i].onclick = () => {
            const type = allItem[i].getAttribute('type');
            const data = allItem[i].getAttribute('data') ? JSON.parse(allItem[i].getAttribute('data')) : {};
            window.top.postMessage({type: `butter_to_${type}`, data: {...data, unique_id}}, '*')
        }
    }

})(window);