# Schema 传参

## schema 格式

tfunbox://box/outside?t=${type}&d=${data}

```
let params = {}; // 实际传入参数
let data = base64Encdoe(encodeURIComponent(JSON.stringify(params)))
访问：tfunbox://box/outside?t=${type}&d=${data}
```

## 对应参数

## 游戏详情页

| 参数         | 对应传值           | 是否必传   |
|------------|----------------|--------|
| type       | openGameDetail | 是      |
| data       | 加密前对象          | 是，默认{} |
| data.gid   | 游戏GID          | 是      |
| data.title | 游戏名称           | 否      |

## 打开游戏列表(传入标签ID)

| 参数         | 对应传值         | 是否必传   |
|------------|--------------|--------|
| type       | openGameList | 是      |
| data       | 加密前对象        | 是，默认{} |
| data.id    | 标签ID         | 是      |
| data.title | 网页标题         | 否      |

## 打开游戏礼包列表

| 参数         | 对应传值             | 是否必传   |
|------------|------------------|--------|
| type       | openGameGiftList | 是      |
| data       | 加密前对象            | 是，默认{} |
| data.gid   | 游戏GID            | 是      |
| data.title | 显示标题             | 是      |

## 打开游戏代金券列表

| 参数          | 对应传值                | 是否必传   |
|-------------|---------------------|--------|
| type        | openGameVoucherList | 是      |
| data        | 加密前对象               | 是，默认{} |
| data.gameid | 自有游戏GameID          | 是      |
| data.title  | 显示标题                | 是      |

## 打开URL地址

| 参数         | 对应传值        | 是否必传   |
|------------|-------------|--------|
| type       | openWebview | 是      |
| data       | 加密前对象       | 是，默认{} |
| data.url   | URL地址       | 是      |
| data.title | 网页标题        | 否      |
